PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/restore-jobs" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "Api-Key: $PINECONE_API_KEY"
{
"data": [
{
"backup_id": "670e8400-e29b-41d4-a716-446655440000",
"completed_at": "2024-03-15T10:35:00.000Z",
"created_at": "2024-03-15T10:30:00.000Z",
"percent_complete": 100,
"restore_job_id": "670e8400-e29b-41d4-a716-446655440001",
"status": "Completed",
"target_index_id": "idx_456",
"target_index_name": "my-index"
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}Backups
List restore jobs
List all restore jobs for a project.
GET
/
restore-jobs
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/restore-jobs" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "Api-Key: $PINECONE_API_KEY"
{
"data": [
{
"backup_id": "670e8400-e29b-41d4-a716-446655440000",
"completed_at": "2024-03-15T10:35:00.000Z",
"created_at": "2024-03-15T10:30:00.000Z",
"percent_complete": 100,
"restore_job_id": "670e8400-e29b-41d4-a716-446655440001",
"status": "Completed",
"target_index_id": "idx_456",
"target_index_name": "my-index"
}
],
"pagination": {
"next": "dXNlcl9pZD11c2VyXzE="
}
}PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/restore-jobs" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "Api-Key: $PINECONE_API_KEY"
Authorizations
Headers
Required date-based version header
Query Parameters
The number of results to return per page.
The token to use to retrieve the next page of results. A malformed token is rejected with 400.
Response
This operation returns a list of all the restore jobs that you have previously created.
Was this page helpful?